

import {Component, ViewChild} from '@angular/core';
import {IonicPage, App, NavController, NavParams, Slides} from 'ionic-angular';
import {AuthService} from "../../providers/auth-service";
import {Common} from "../../providers/common";

import {PosRegistrasiKas} from '../pos-registrasi-kas/pos-registrasi-kas';
import {PosClosingKas} from '../pos-closing-kas/pos-closing-kas';
import {PosPenjualan} from '../pos-penjualan/pos-penjualan';
import {PosManajemen} from '../pos-manajemen/pos-manajemen';

@IonicPage()
@Component({
    selector: 'page-pos',
    templateUrl: 'pos.html',
})
export class PosPage {
    @ViewChild(Slides) slides: Slides;
    checkScreen() {
        if (window.innerWidth >= 960) {
            return 3;
        } else {
            return 2.125;
        }
    }
    public userDetails: any;
    public resposeData: any;
    public dataSet: any;
    public noRecords: boolean;
    public hasClosing: boolean;
    public kas_awal : number;
    userPostData = {
        username: "",
        token: "",
        lastCreated: ""
    };

    dataAkhir = {
        kas_awal: "",
        kas_akhir: "",
        buka: "",
        tutup: ""
    };
    
    
    alphas = {id_saldo:""};
        
    constructor(public navCtrl: NavController,
        public navParams: NavParams,
        public app: App,
        public common: Common,
        public authService: AuthService
    ) {
        var d = new Date(), month = '' + (d.getMonth() + 1), day = '' + d.getDate(), year = d.getFullYear();
        var n = year + "-" + month + "-" + day;

        const data = JSON.parse(localStorage.getItem("userData"));
        this.userDetails = data.userData;
        this.userPostData.username = this.userDetails.username;
        this.userPostData.token = this.userDetails.token;
        this.userPostData.lastCreated = n;
        this.noRecords = false;
        this.getSaldoKas();
    }

    getSaldoKas() {
        //var alphas: string[];
        this.common.presentLoading();
        this.authService.postData(this.userPostData, "DashGetSaloKasAwal").then(
            result => {
                this.resposeData = result;
                if (this.resposeData.feedData) {
                    this.common.closeLoading();
                    this.alphas = this.resposeData.feedData;
                    const dataLength = this.alphas[0].kas_akhir;
                    this.kas_awal = this.alphas[0].kas_awal;
                    if (dataLength > 0) {
                        console.log("kas akhir ada");
                        this.noRecords = false;
                        this.hasClosing = true;
                    } else {
                        console.log("kas akhir kosong");
                        this.noRecords = true;
                        this.hasClosing = false;
                    }
                } else {
                    this.common.closeLoading();
                    this.noRecords = false;
                    this.hasClosing = true;
                }
            },
            err => {
                this.common.closeLoading();
                this.noRecords = true;
                this.hasClosing = false;
            }
        );
    }

    getSaldoKasOld() {
        this.common.presentLoading();
        this.authService.postData(this.userPostData, "DashGetSaloKasAwal").then(
            result => {
                this.resposeData = result;
                if (this.resposeData.feedData) {
                    this.common.closeLoading();
                    const dataLength = this.resposeData.feedData.length;

                    if (dataLength > 0) {
                        this.noRecords = true;
                        this.hasClosing = false;
                    }
                } else {
                    this.common.closeLoading();
                    this.noRecords = false;
                    this.hasClosing = true;
                }
            },
            err => {
                this.common.closeLoading();
                this.noRecords = true;
                this.hasClosing = false;
            }
        );
    }

    ionViewDidLoad() {}

    createRegistrasi() {
        this.navCtrl.push(PosRegistrasiKas);
    }

    closeRegistrasi() {
        this.navCtrl.push(PosClosingKas);
    }

    createPenjualan() {
        if(this.kas_awal > 0){
            this.navCtrl.setRoot(PosPenjualan);
        }else{
            this.navCtrl.push(PosRegistrasiKas);
        } 
    }
    createManajemen() {
        this.navCtrl.push(PosManajemen);
    }
}
